<template>
  <div class="dashboard container-fluid m-0 p-0 vh-100 d-flex flex-grow-1 flex-column">
    <template v-if="loading">
      <data-loader></data-loader>
    </template>
    <template v-else>
      <workspace-manager></workspace-manager>
    </template>
  </div>
</template>

<script>
import DataLoader from './views/DataLoader'
import WorkspaceManager from './views/WorkspaceManager'

export default {
  name: 'dashboard',

  computed: {
    // Computed property to retrieve the loading status of the application.
    loading: {
      get() {
        return this.$store.getters.loadingStatus
      }
    }
  },

  components: {
    DataLoader,
    WorkspaceManager,
  }
}
</script>
